Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048041 - openstack-packstack install defaults to debug=true in nova
Summary: openstack-packstack install defaults to debug=true in nova
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 4.0
Hardware: All
OS: Linux
low
low
Target Milestone: z2
: 4.0
Assignee: Martin Magr
QA Contact: Gabriel Szasz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-03 01:21 UTC by Jeff Dexter
Modified: 2019-09-09 14:19 UTC (History)
10 users (show)

Fixed In Version: openstack-packstack-2013.2.1-0.23.dev979.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, services for OpenStack Compute and other OpenStack components ran in debug mode by default. With this update, the CONFIG_DEBUG_MODE configuration parameter has been added. When this parameter is set to 'y', all OpenStack services will run in debug mode. By default, debug mode is disabled.
Clone Of:
Environment:
Last Closed: 2014-03-04 19:14:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 70660 0 None None None Never
Red Hat Product Errata RHSA-2014:0233 0 normal SHIPPED_LIVE Important: openstack-packstack security and bug fix update 2014-03-05 00:10:57 UTC

Description Jeff Dexter 2014-01-03 01:21:59 UTC
Description of problem:
Debug = True is on by default and has a tendency to fill up the logs 

Version-Release number of selected component (if applicable):
openstack-nova-common-2013.2-10.el6ost.noarch

How reproducible:
very

Steps to Reproduce:
1.install openstack 4.0 via packstack
2.
3.

Actual results:
debug is set to true

Expected results:
debug = false

Additional info:

Comment 2 Xavier Queralt 2014-01-13 17:16:03 UTC
By default debug and verbose are set to false in the nova package. In bug 958152 packstack was updated to change both values to true.

I also think that using the debug level is too much for a production environment (verbose should be enough) but it should be fixed in packstack.

Comment 3 Martin Magr 2014-01-20 10:36:10 UTC
Packstack is not installer for production, so leaving debug is OK.

Comment 4 Jeff Dexter 2014-01-22 21:44:12 UTC
From a GSS perspecitve this is still a bug.  Customers are still going to install openstack using packstack, I am currently downloading 5.6GB of log files from a controller from a 3 node setup.

Comment 16 errata-xmlrpc 2014-03-04 19:14:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0233.html


Note You need to log in before you can comment on or make changes to this bug.